#!/bin/sh -e

./configure \
    --prefix=/usr \
    --with-modules \
    --with-xft \
    --with-x-toolkit=motif \
    --without-dbus \
    --without-gconf \
    --without-gsettings \
    --with-xpm=yes \
    --with-gnutls=yes \
    --with-json=yes \
    --with-native-compilation

mkdir -p "$1/usr/share/emacs/site-lisp"
cat << EOF > "$1/usr/share/emacs/site-lisp/site-start.el"

;; Better security defaults
(with-eval-after-load 'gnutls
  (setq
   gnutls-verify-error t
   gnutls-min-prime-bits 2048
   gnutls-trustfiles '("/etc/ssl/cert.pem")))

;; Needed unless KISS Linux gains librsvg support
(setq-default shr-blocked-images ".*\.svg$")

;; Augment ELPA.
(require 'package)
(add-to-list 'package-archives
   '("melpa-stable" . "https://stable.melpa.org/packages/")
   '("melpa-unstable" . "https://melpa.org/packages/"))

;; Increase garbage collection during startup. Reduces boot times.
(setq startup/gc-cons-threshold gc-cons-threshold)
(setq gc-cons-threshold most-positive-fixnum)
(defun startup/reset-gc () (setq gc-cons-threshold startup/gc-cons-threshold))
(add-hook 'emacs-startup-hook 'startup/reset-gc)

;; Native-compile packages.
(setq package-native-compile t)

EOF


# Natively compile all the things!
make NATIVE_FULL_AOT=1
make DESTDIR="$1" install

rm -rf "$1/usr/lib/systemd"
